Bug 253545 - (CVE-2007-4400) CVE-2007-4400 konversation: Command injection in media script via crafted song tag
CVE-2007-4400 konversation: Command injection in media script via crafted son...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
Fedora Extras Quality Assurance
http://lists.grok.org.uk/pipermail/fu...
impact=low,source=cve
: Security
Depends On: 362911 362921 362931
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 11:02 EDT by Lubomir Kundrak
Modified: 2008-05-07 10:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 10:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-08-20 11:02:02 EDT
Description of problem:

Media script (/usr/share/apps/konversation/scripts/media) that is distributed
with konversation package reportedly does not escape tags from media files
corrctly allowing command injection into IRC channel. See URL for details.
Comment 2 Lubomir Kundrak 2007-11-09 10:45:42 EST
Dennis: so what about this? Could you please update vulnerable versions? I think
that the best way would be to just remove the script.
Comment 3 Fedora Update System 2008-02-27 08:03:19 EST
konversation-1.0.1-4.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-27 08:05:41 EST
konversation-1.0.1-4.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-28 16:38:55 EST
konversation-1.0.1-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update konversation'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2062
Comment 6 Fedora Update System 2008-04-09 01:15:32 EDT
konversation-1.0.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-04-09 01:21:27 EDT
konversation-1.0.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Eren Türkay 2008-04-09 09:36:24 EDT
There is no need to remove media script from konversation. I tried CR LF on
id3tag and it just wrote the text underlined.

I'm not sure this deletion is a true solution. Could anyone provide a
proof-of-concept for it?
Comment 9 Red Hat Product Security 2008-05-07 10:31:40 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2122
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2062


Note You need to log in before you can comment on or make changes to this bug.